Edit a queued post
POST
/queue/edit
curl -X POST https://api.xholic.ai/v1/queue/edit \ -H "Authorization: Bearer $XHOLIC_API_KEY" \ -H "Content-Type: application/json" \ -d '{"postId":"<postId>","text":"Shipping the API today","dryRun":true,"idempotencyKey":"my-unique-key-1"}'xholic queue edit --post-id '<postId>' --text 'Shipping the API today' --dry-run --idempotency-key 'my-unique-key-1'{ "name": "edit_queued_post", "arguments": { "postId": "<postId>", "text": "Shipping the API today", "dryRun": true, "idempotencyKey": "my-unique-key-1" }}const response = await fetch("https://api.xholic.ai/v1/queue/edit", { method: "POST", headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}`, "Content-Type": "application/json", }, body: JSON.stringify({ "postId": "<postId>", "text": "Shipping the API today", "dryRun": true, "idempotencyKey": "my-unique-key-1" }),});const result = await response.json();console.log(result.summary);import axios from "axios";
const { data } = await axios.post( "https://api.xholic.ai/v1/queue/edit", { "postId": "<postId>", "text": "Shipping the API today", "dryRun": true, "idempotencyKey": "my-unique-key-1" }, { headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}` } },);console.log(data.summary);import osimport requests
response = requests.post( "https://api.xholic.ai/v1/queue/edit", headers={"Authorization": f"Bearer {os.environ['XHOLIC_API_KEY']}"}, json={ "postId": "<postId>", "text": "Shipping the API today", "dryRun": True, "idempotencyKey": "my-unique-key-1" },)print(response.json()["summary"])package main
import ( "fmt" "io" "net/http" "os" "strings")
func main() { body := strings.NewReader(`{"postId":"<postId>","text":"Shipping the API today","dryRun":true,"idempotencyKey":"my-unique-key-1"}`) req, _ := http.NewRequest("POST", "https://api.xholic.ai/v1/queue/edit", body) req.Header.Set("Authorization", "Bearer "+os.Getenv("XHOLIC_API_KEY")) req.Header.Set("Content-Type", "application/json") res, err := http.DefaultClient.Do(req) if err != nil { panic(err) } defer res.Body.Close() out, _ := io.ReadAll(res.Body) fmt.Println(string(out))}<?php$ch = curl_init("https://api.xholic.ai/v1/queue/edit");curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_POST => true, CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('XHOLIC_API_KEY'), 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => '{"postId":"<postId>","text":"Shipping the API today","dryRun":true,"idempotencyKey":"my-unique-key-1"}',]);$result = json_decode(curl_exec($ch), true);echo $result['summary'];require "net/http"require "json"
uri = URI("https://api.xholic.ai/v1/queue/edit")req = Net::HTTP::Post.new(uri, "Content-Type" => "application/json")req["Authorization"] = "Bearer #{ENV.fetch("XHOLIC_API_KEY")}"req.body = '{"postId":"<postId>","text":"Shipping the API today","dryRun":true,"idempotencyKey":"my-unique-key-1"}'res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }puts JSON.parse(res.body)["summary"]Change the text, thread, media or automations of a draft or scheduled post.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
postId
required
string
text
required
string
threadParts
For a thread: every part in order, starting with the same first post as text.
Array<string>
media
Media from upload_media, by mediaId. Up to 4 images, or 1 GIF or video.
Array<object>
object
mediaId
required
string
key
additional properties
automation
Post automations (auto-repost, auto-plug reply, auto-delete, auto-DM). Shape as in the docs: docs.xholic.ai/api/automations.
object
key
additional properties
account
X account to act on, as @handle. Leave it out to use the connection’s default account.
string
dryRun
Return exactly what would happen without doing it.
boolean
idempotencyKey
A unique key for this write. Repeating a call with the same key returns the first result instead of acting twice.
string
Example
{ "postId": "<postId>", "text": "Shipping the API today", "dryRun": true, "idempotencyKey": "my-unique-key-1"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
ok
required
boolean
summary
required
One or two readable sentences about the result.
string
data
required
The result. Its shape depends on the action.
ids
object
key
additional properties
any
next
Array<string>
creditsCharged
number
dryRun
boolean
Example
{ "ok": true}default
Section titled “default”Error
Media typeapplication/json
object
ok
required
boolean
error
required
object
code
required
string
message
required
string
scope
required
string
retryAfterSeconds
integer
details
Example
{ "ok": false, "error": { "code": "UNAUTHENTICATED", "scope": "account" }}